GNU bug report logs - #10358
libtool changing basename(argv[0])

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Lucas De Marchi <lucas.demarchi@HIDDEN>; merged with #10359; dated Sat, 24 Dec 2011 15:55:01 UTC; Maintainer for libtool is bug-libtool@HIDDEN.
Merged 10358 10359. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2011 15:54:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 24 10:54:13 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ReTvH-0004aG-T3
	for submit <at> debbugs.gnu.org; Sat, 24 Dec 2011 10:54:13 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwDB-0003z6-FK
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2011 22:54:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwB1-0006qC-30
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2011 22:52:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:52260)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwB0-0006q6-Ub
	for submit <at> debbugs.gnu.org; Thu, 22 Dec 2011 22:52:11 -0500
Received: from eggs.gnu.org ([140.186.70.92]:35070)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwAz-00031d-Ka
	for bug-libtool@HIDDEN; Thu, 22 Dec 2011 22:52:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwAy-0006pl-M7
	for bug-libtool@HIDDEN; Thu, 22 Dec 2011 22:52:09 -0500
Received: from mail-vx0-f169.google.com ([209.85.220.169]:36900)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <lucas.demarchi@HIDDEN>) id 1RdwAy-0006pc-Jr
	for bug-libtool@HIDDEN; Thu, 22 Dec 2011 22:52:08 -0500
Received: by vcge1 with SMTP id e1so7391993vcg.0
	for <bug-libtool@HIDDEN>; Thu, 22 Dec 2011 19:52:07 -0800 (PST)
Received: by 10.52.99.231 with SMTP id et7mr6922072vdb.114.1324612327244; Thu,
	22 Dec 2011 19:52:07 -0800 (PST)
MIME-Version: 1.0
Received: by 10.52.117.45 with HTTP; Thu, 22 Dec 2011 19:51:45 -0800 (PST)
From: Lucas De Marchi <lucas.demarchi@HIDDEN>
Date: Fri, 23 Dec 2011 01:51:45 -0200
Message-ID: <CAMOw1v5OVtcNx7hR=93Fz5O5Ru3ZuFyun7oTpoQVjOtg5pa9fg@HIDDEN>
Subject: libtool changing basename(argv[0])
To: bug-libtool@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 24 Dec 2011 10:54:11 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

Hey all,

In one of my projects I rely on basename(argv[0]) to know what to do
in the application (because it can be called from compat symlinks).
With libtool 2.4.2 I'm having an issue that basename(argv[0]) returns
lt-progname instead of just progname. Another developer has libtool
2.4 and does not have this problem.

Is this a regression from 2.4? Googling shows me some similar problem
but with older versions (~ 2009)


Regards,
Lucas De Marchi




Acknowledgement sent to Lucas De Marchi <lucas.demarchi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#10358; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.